export const GET_DAHBOARD_FAIL = 'GET_DAHBOARD_FAIL';
export const GET_DAHBOARD_START = 'GET_DAHBOARD_START';
export const GET_DAHBOARD_SUCCESS = 'GET_DAHBOARD_SUCCCESS';

export const REMOVE_BLOCK_FAIL = 'REMOVE_BLOCK_FAIL';
export const REMOVE_BLOCK_START = 'REMOVE_BLOCK_START';
export const REMOVE_BLOCK_SUCCESS = 'REMOVE_BLOCK_SUCCESS';

export const RENAME_BLOCK_FAIL = 'RENAME_BLOCK_FAIL';
export const RENAME_BLOCK_START = 'RENAME_BLOCK_START';
export const RENAME_BLOCK_SUCCESS = 'RENAME_BLOCK_SUCCESS';

export const ADD_BLOCK_FAIL = 'ADD_BLOCK_FAIL';
export const ADD_BLOCK_START = 'ADD_BLOCK_START';
export const ADD_BLOCK_SUCCESS = 'ADD_BLOCK_SUCCESS';

export const MOVE_ITEM = 'MOVE_ITEM';
export const MOVE_BLOCK = 'MOVE_BLOCK';

export const START_DRAGGING_ITEM = 'START_DRAGGING_ITEM';
export const START_DRAGGING_BLOCK = 'START_DRAGGING_BLOCK';

export const CHANGE_BLOCK_POSITION_FAIL = 'CHANGE_BLOCK_POSITION_FAIL';
export const CHANGE_BLOCK_POSITION_START = 'CHANGE_BLOCK_POSITION_START';
export const CHANGE_BLOCK_POSITION_SUCCESS = 'CHANGE_BLOCK_POSITION_SUCCESS';

export const CHANGE_ITEM_POSITION_FAIL = 'CHANGE_ITEM_POSITION_FAIL';
export const CHANGE_ITEM_POSITION_START = 'CHANGE_ITEM_POSITION_START';
export const CHANGE_ITEM_POSITION_SUCCESS = 'CHANGE_ITEM_POSITION_SUCCESS';

export const ADD_ITEM_START = 'ADD_ITEM_START';
export const ADD_ITEM_SUCCESS = 'ADD_ITEM_SUCCESS';
export const ADD_ITEM_FAIL = 'ADD_ITEM_FAIL';

export const BLOCK_ITEM_WIDTH = 245;
export const BLOCK_DRAGGABLE_TYPE = 'card';
export const BLOCK_ITEM_DRAGGABLE_TYPE = 'card';

export const HANDLE_OPEN_ITEM_DIALOG = 'HANDLE_OPEN_ITEM_DIALOG';
export const HANDLE_CLOSE_ITEM_DIALOG = 'HANDLE_CLOSE_ITEM_DIALOG';

export const CHANGE_SELECTED_ITEM_TYPE = 'CHANGE_SELECTED_ITEM_TYPE';
export const GET_ITEM_DESCRIPTION_FAIL = 'GET_ITEM_DESCRIPTION_FAIL';
export const GET_ITEM_DESCRIPTION_START = 'GET_ITEM_DESCRIPTION_START';

export const CHANGE_DATA_ITEM_VALUES = 'CHANGE_DATA_ITEM_VALUES';
export const GET_ITEM_DESCRIPTION_SUCCESS = 'GET_ITEM_DESCRIPTION_SUCCESS';

export const UPLOAD_TEMP_ITEM_FILE = 'UPLOAD_TEMP_ITEM_FILE';
export const CREATE_DEFAULT_ITEM = 'CREATE_DEFAULT_ITEM';

export const ADD_LINK_TO_LIST_OF_LINKS = 'ADD_LINK_TO_LIST_OF_LINKS';
export const REMOVE_LINK_FROM_LIST_OF_LINKS = 'REMOVE_LINK_FROM_LIST_OF_LINKS';
export const UPDATE_LINK_FROM_LIST_OF_LINKS =  'UPDATE_LINK_FROM_LIST_OF_LINKS';

export const CHANGE_DATA_ITEM_FIELD_VALUE  = 'CHANGE_DATA_ITEM_FIELD_VALUE';
export const UPLOAD_TEMP_NEWS_ITEM_FILE = 'UPLOAD_TEMP_NEWS_ITEM_FILE';

export const CREATE_DEFAULT_LINK_START = 'CREATE_DEFAULT_LINK_START';
export const CREATE_DEFAULT_LINK_SUCCESS = 'CREATE_DEFAULT_LINK_SUCCESS';
export const CREATE_DEFAULT_LINK_FAIL = 'CREATE_DEFAULT_LINK_FAIL';

export const CREATE_NEWS_START = 'CREATE_NEWS_START';
export const CREATE_NEWS_SUCCESS = 'CREATE_NEWS_START';
export const CREATE_NEWS_FAIL = 'CREATE_NEWS_FAIL';

export const REMOVE_ITEM_START = 'REMOVE_ITEM_START';
export const REMOVE_ITEM_SUCCESS = 'REMOVE_ITEM_SUCCESS';
export const REMOVE_ITEM_FAIL = 'REMOVE_ITEM_FAIL';

export const SET_EDITING_STATUS = 'SET_EDITING_STATUS';
export const SET_VALIDATION_ERRORS = 'SET_VALIDATION_ERRORS';

export const CREATE_LIST_OF_LINKS_START = 'CREATE_LIST_OF_LINKS_START';
export const CREATE_LIST_OF_LINKS_SUCCESS = 'CREATE_LIST_OF_LINKS_SUCCESS';
export const CREATE_LIST_OF_LINKS_FAIL = 'CREATE_LIST_OF_LINKS_FAIL';

export const UPDATE_DEFAULT_LINK_START = 'UPDATE_DEFAULT_LINK_START';
export const UPDATE_DEFAULT_LINK_SUCCESS = 'UPDATE_DEFAULT_LINK_SUCCESS';
export const UPDATE_DEFAULT_LINK_FAIL = 'UPDATE_DEFAULT_LINK_FAIL';

export const UPDATE_NEWS_START = 'UPDATE_NEWS_START';
export const UPDATE_NEWS_SUCCESS = 'UPDATE_NEWS_SUCCESS';
export const UPDATE_NEWS_FAIL = 'UPDATE_NEWS_FAIL';

export const UPDATE_LIST_OF_LINKS_START = 'UPDATE_LIST_OF_LINKS_START';
export const UPDATE_LIST_OF_LINKS_SUCCESS = 'UPDATE_LIST_OF_LINKS_SUCCESS';
export const UPDATE_LIST_OF_LINKS_FAIL = 'UPDATE_LIST_OF_LINKS_FAIL';

export const UPDATE_BLOCK_TITLE = 'UPDATE_BLOCK_TITLE';

export const SEARCH_IN_DASHBOARD_REQUEST = 'SEARCH_IN_DASHBOARD_REQUEST';
export const SEARCH_IN_DASHBOARD_SUCCESS = 'SEARCH_IN_DASHBOARD_SUCCESS';
export const SEARCH_IN_DASHBOARD_FAIL = 'SEARCH_IN_DASHBOARD_FAIL';
export const SET_DASHBOARD_QUERY_TEXT = 'SET_DASHBOARD_QUERY_TEXT';